Bug 20031 - [4.0/4.1/4.2/4.3 regression] ICE on missing files
Summary: [4.0/4.1/4.2/4.3 regression] ICE on missing files
Status: RESOLVED FIXED
Alias: None
Product: gcc
Classification: Unclassified
Component: java (show other bugs)
Version: 4.0.0
: P5 normal
Target Milestone: 4.3.0
Assignee: Not yet assigned to anyone
URL: http://gcc.gnu.org/ml/java-patches/20...
Keywords: ice-on-invalid-code
Depends on:
Blocks:
 
Reported: 2005-02-17 16:53 UTC by Daniel Bonniot
Modified: 2007-11-12 00:46 UTC (History)
3 users (show)

See Also:
Host:
Target:
Build:
Known to work:
Known to fail:
Last reconfirmed: 2005-06-04 17:04:57


Attachments
testcase (435 bytes, application/x-gtar)
2005-02-17 16:55 UTC, Daniel Bonniot
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Bonniot 2005-02-17 16:53:38 UTC
I'm getting two different ICEs in certain compilation situations, with trivially
small files. This seems to be about where source/class files are located, not
what's inside them (although the second bug does only occur if class B has the
abstract modifier).

Instead of painfully explaining what exacts steps to take to reproduce, I
included a small Makefile in the archive.

This is a regression: I get the ICEs with gcj 4.0.0 20050212 (Debian
gcc-snapshot), while both gcj 3.3 and 3.4 work correctly (report errors, without
ICE).
Comment 1 Daniel Bonniot 2005-02-17 16:55:19 UTC
Created attachment 8215 [details]
testcase
Comment 2 Daniel Bonniot 2005-02-17 16:57:17 UTC
I forgot, here is the output I get:

/usr/lib/gcc-snapshot/bin/gcj -d classes -C pkg/A.java pkg/B.java
/usr/lib/gcc-snapshot/bin/gcj classes/pkg/B.class
jc1: internal compiler error: Segmentation fault
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://gcc.gnu.org/bugs.html> for instructions.
make: [bug1] Error 1 (ignored)
mv pkg pkg.bak
/usr/lib/gcc-snapshot/bin/gcj classes/pkg/B.class
jc1: error: cannot find file for class pkg.A
pkg/B.java:0: error: cannot find file for class pkg.A
pkg/B.java:0: internal compiler error: Segmentation fault
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://gcc.gnu.org/bugs.html> for instructions.
make: [bug2] Error 1 (ignored)
mv pkg.bak pkg
Comment 3 Andrew Pinski 2005-02-17 18:04:06 UTC
Confirmed, this is a java front-end bug.
Comment 4 Mark Mitchell 2005-09-07 07:45:49 UTC
Java bugs are not release-critical; removing target milestone.
Comment 5 Ranjit Mathew 2005-09-09 10:13:33 UTC
One proposal for a patch is here:

  http://gcc.gnu.org/ml/java-patches/2005-q3/msg00313.html
Comment 6 Mark Mitchell 2006-05-25 02:35:46 UTC
Will not be fixed in 4.1.1; adjust target milestone to 4.1.2.
Comment 7 Tom Tromey 2007-11-12 00:46:42 UTC
These no longer ICE for me.
Instead I just get the expected errors.
Adding -Iclasses to the builds makes it work as expected.

So, I'm closing this.